#### Previous topic

scipy.signal.gauss_spline

#### Next topic

scipy.signal.qspline1d

# scipy.signal.cspline1d

`scipy.signal.``cspline1d`(signal, lamb=0.0)

  Compute cubic spline coefficients for rank-1 array.

  Find the cubic spline coefficients for a 1-D signal assuming mirror-symmetric boundary conditions. To obtain the signal back from the spline representation mirror-symmetric-convolve these coefficients with a length 3 FIR window [1.0, 4.0, 1.0]/ 6.0 .

  Parameters:

  signal : ndarray

  > A rank-1 array representing samples of a signal.

  lamb : float, optional

  > Smoothing coefficient, default is 0.0.

  Returns:

  c : ndarray

  > Cubic spline coefficients.